<template>
  <div class="card w-100">
    <div class="card-body">
      <router-link :to="{ name: 'bookable', params: { id }}"><h5 class="card-title">{{ title }}</h5></router-link>
      <p class="card-text">{{ description }}</p>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    title: {
      type: String,
      default: "",
    },
    description: String,
    price: Number,
    id: Number
  },
  mounted() {
    console.log('title-', this.itemTitle);
  },
  // beforeCreate() {
  //   console.log("beforeCreate 1");
  // },
  // created() {
  //   console.log("created 1");
  // },
  // beforeMount() {
  //   console.log("beforeMount 1");
  // },
  // mounted() {
  //   console.log('mounted 1');
  // },
  // beforeDestroy() {
  //   console.log("beforeDestroy 1");
  // },
  // destroyed() {
  //   console.log("destroyed 1");
  // },
  //   computed: {
  //     titleItems: () => {
  //       if (globalThis.itemTitle) {
  //         return globalThis.itemTitle + " Phung anh";
  //       }

  //       return "";
  //     },
  //   },
};
</script>